curl -X PUT 'https://hermes.api.e-cross.tech/ext/parcelTrackings' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"carrierId": "ACME",
"events": [
{
"parcelId": "ACME800413194788BR",
"externalParcelId": "NL970165916BR",
"eventDate": "2023-08-07T19:48:04+00:00",
"externalCode": "AWAITING_PICK_UP",
"description": "Order packed",
"location": "Paris, FR"
},
{
"parcelId": "ACME800413194788BR",
"externalParcelId": "NL970165916BR",
"eventDate": "2023-08-08T05:20:29+00:00",
"externalCode": "LEFT_FULFILLMENT",
"description": "Parcel delivered to logistic operator",
"location": "Paris, FR"
}
]
}'
{
"status" : "UPDATE IN PROGRESS"
}
Request Parameters
ID of the partner (fulfillment), registered within e-CROSS. This is a constant value that uniquely identifies your fulfillment and is informed by e-CROSS.
List of tracking events. Maximum 500 events per request. The parcel ID within e-CROSS. You can find this in: order.statusHistory[status="READY_FOR_SHIP"].eventData.parcelId. Either parcelId or externalParcelId must be provided.
The ID of the parcel on the external system. This is usually the value encoded in a barcode on the shipping label. You can identify this by:
Using a barcode scanner to read the barcode on the shipping label
Finding it in the order: order.shipping.deliveries.lastMileTrackingNumber
Either parcelId or externalParcelId must be provided. ISO 8601 date and time informing the exact date and time when the event happened (e.g., 2023-08-07T19:48:04+00:00).
Code of the tracking event on the external system. Supported events:
AWAITING_PICK_UP - Parcel was picked and packed, ready to be picked up by first mile operator
LEFT_FULFILLMENT - Parcel was picked by first mile operator and left the fulfillment facility
Human-readable description of the event (e.g., “Order packed”, “Parcel delivered to logistic operator”).
Location where the event happened. Can be a city, state, country, etc. Format: {city}, {state}, {country} (e.g., “Paris, FR”).
Response Fields
Current status of the update. Returns UPDATE IN PROGRESS when the request is accepted.